# Intro

This API adds the ability to make cards cost life, currency, or both in act 1, and and act 2. It also allows Sigil makers to easily make Activated Sigils that cost Life, money, or the hybrid version. It's features include...

- Art that matches vanilla style for the cost for act 1 and act 2, which scales up to 15.
- Cost render support with art that matches the art in the cost render fix, for those who want to do hybrid costs
- Cards that cost life, money, or hybrid will show up as a cost choice at cost choice nodes
- Json loader support
- Custom act 2 icons (both vanilla and Cost Render Fix) for just currency using cards and just life using cards
- Six Life / Currency active Sigils for people to playwith.

## How to use: Mod makers

Here are instructions on how to use this API as a person who codes with a bepinEX plugin

- Add the mod as a dependency in your project
- While making a card, use the following three extensions depending on what you want... '.SetExtendedProperty("LifeCost", value)' , '.SetExtendedProperty("MoneyCost", value)' , or '.SetExtendedProperty("LifeMoneyCost", value)'
- Another trick (for backwards compatability) is to set the energycost of a card to a negative number. This mod will find that card, and change it into a LifeMoney cost. 

This mod also allows you to make active sigils easily that cost life, money, or both. Follow the instructions below to figure out how!

- Add this mod as a dependency, and then when making the ability class, extend LifeCost.sigils.LifeActiveAbilityCost
- This allows you to set the cost of active abilities to Life, Money, Life+Money, Energy, or Bone (or a mix of the 4 Options).
- DO NOT mix the Life+Money option with the Life or money option. Life+Money is a special option that will substitute any lacking funds with life.
- Includes templates of the activated sigils base when you download this mod, if you want to keep consistent with it.


## How to use: Jsonloader users

Here are instructions on how to use this API as a person who makes cards in jsonloader

- Set an extended property like below. 

"extensionProperties": {
	"LifeMoneyCost": "4"
}

## What if I only want to a card to use Life / What if I want a card to only use Currency?

Here are instructions on how to use this API to make a card cost ONLY life or ONLY currency.

for ONLY life you want...

- .SetExtendedProperty("LifeCost", value)


for ONLY currency you want...

- .SetExtendedProperty("MoneyCost", value)

## Sigils for Modmakers to use...

These are under the GUID of "extraVoid.inscryption.LifeCost"

- "Max Energy Gamble" : Pay 6 energy to put 0 to 3 damage on someone's side of the scale
- "Cash Converter" : Pay 4 foils to put 1 damage on the opponent's side of the scale
- "Life Converter" : Pay 2 life to gain 1 foils
- "Vamperic Strength" : Pay 3 life to increase power and health by 1
- "Greedy Strength" : Pay 5 currency to increase power and health by 1
- "Die Roll" : Pay 3 life for the card bearing this sigil to gain between 0 and 6 increased in stats, distributed randomly

## Suggestions on balancing life cost cards

Just some helpful tips I noticed when making this and play testing

- Never make the attack of a card more than what it costs in life. For example: a card with 1 attack would cost between 2 and 3 in life. So it takes 2 to 3 turns to make up for the lost in life.
- In act 1, I would generally suggest following the 1:1 point system like bones and energy does. 
- In act 2, be VERY careful with balancing your cards. I highly suggest making them only LifeCost. This is due to players being able to farm foils at the training dummy.
- Try to avoid bone or energy hybrid costs. 
- In the end, play by ear and heart like always. if something feels too good, then nerf it. If it feels too weak, then buff it.

## Installation (automated)
This is the recommended way to install the API on the game.

- Download and install [Thunderstore Mod Manager](https://www.overwolf.com/app/Thunderstore-Thunderstore_Mod_Manager) or [r2modman](https://timberborn.thunderstore.io/package/ebkr/r2modman/)
- Click Install with Mod Manager button on top of the [page]
- Run the game via the mod manager

# HELP WANTED

I am looking for help as there are a few things beyond my skills that I can't do (at least for now).

- I need help getting foils to show up on the game board during act 2 battles, so players don't need to hit escape to see how many they have.

Contact me on discord if you are interested in helping me!


## Licenses
This mod is under the MIT licenses. That means you are free to take, modify, and redistribute this mod as you wish as long as the resulting product is also under the MIT license. 

## Credits

xXxStoner420BongMasterxXx, BLIND, Eri, Memez4life, Dragon, Kopie, Ara, Digi, Sire, Nevernamed, WhistleWind for help in various aspects of this mod

